
Figure - Bug #118185
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】副屏蓝牙电话->中控播音乐->断开蓝牙->副屏播音乐(有进度但无声）->挂掉电
话->中控副屏音乐同时输出
2023-05-23 15:24 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-23

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 0%

Category: pending 暂时不解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103(X103)

Resolution: Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 扬声器播放时，通话时副屏无法继续播放音乐，会暂停。

Description

【前提条件】：

中控0080

副屏0102

【操作步骤】

1、副屏蓝牙通话中

2、中控播音乐

3、断开蓝牙

4、副屏播音乐(有进度但无声）

5、挂掉电话

【预期结果】

3、电话会议声音从喇叭输出

5、中控副屏只有一个可以出声

【实际结果】

5、中控副屏音乐同时输出

History

#1 - 2023-05-24 16:26 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 扬声器播放时，通话时副屏无法继续播放音乐，会暂停。

HI 永红

该测试步骤中，通话时副屏无法继续播放音乐，会暂停。

该问题已经被117969的提交修复，请使用5月24日后的版本验证，谢谢！
#2 - 2023-06-02 19:43 - CD TEST-方永红

- File 1939.txt added

- Status changed from RESOLVED to VERIFY_FAILED

微信蓝牙电话-》中控播音乐-》微信断开蓝牙-》中控音乐暂停-》连接蓝牙-》中控播音乐-》微信断开蓝牙-》中控音乐没有暂停-》mic可输入、喇叭输出

音乐时

#3 - 2023-06-02 19:45 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to Multimedia组-RD3_TSCD 梁卿山

#4 - 2023-06-03 10:17 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

断开蓝牙的那次，和中控申请了焦点，但是没有回复，导致了焦点申请超时，设备没有切换成功。

58744:06-02 19:40:08.340  1534 16386 D AS.AudioService: idcm_volume:syncIDCMicroAudioVolume bluetooth disconnected

58753:06-02 19:40:08.342  1534 16201 D AudioIDCMicroNegotiator: idcm_common:requestResult method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}

58754:06-02 19:40:08.342  1534 16201 I MicroServiceManager: requestResult(requestAudioFocus) parameters

is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}.

58760:06-02 19:40:08.347  2115 22006 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1685706008342054319',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1685706008342054319,"methodName":"reque

stAudioFocus","parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}}}

58840:06-02 19:40:08.942  1534 16201 W AudioIDCMicroNegotiator: idcm_warn: timeout for obtainFocusState: null

58841:06-02 19:40:08.942  1534 16201 D AudioIDCMicroNegotiator: idcm_af:notifyFocusState -> notify

58842:06-02 19:40:08.942  1534 16201 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState, return: 0 mIsTimeout= true time= 600

58843:06-02 19:40:08.942  1534  1875 D AudioIDCMicroNegotiator: idcm_af:wait messsage done -> onAudioFocusRemoteChanged

58844:06-02 19:40:08.942  1534  1875 D AudioService.PlaybackActivityMonitor: idcm_af:onAudioFocusRemoteChanged: 0 info= null

58845:06-02 19:40:08.942  1534  1875 D AS.AudioService: idcm_af:onAudioFocusIDCMicroChanged: 0 info: null

58846:06-02 19:40:08.942  1534  1875 W AS.AudioService: idcm_warn: onAudioFocusIDCMicroChanged: info is null return

和该问题原因一致。

https://share.thundersoft.com/redmine/issues/118319

#5 - 2023-06-06 11:01 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from VERIFY_FAILED to ASSIGNED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to ETH 黄鹏飞

- Resolution deleted (FIXED)

HI 鹏飞

丢包问题还存在，请分析该问题，谢谢！

#6 - 2023-06-07 15:26 - CD TPM-王祥林
- Assignee changed from ETH 黄鹏飞 to CD_BSP 彭文亮

#7 - 2023-06-12 21:00 - CD_BSP 彭文亮

- Assignee changed from CD_BSP 彭文亮 to 物联网测试组_CDTS  唐霞 

需由唐霞复现、抓取日志、保存现场。

fsem上抓取日志：

tcpdump -i eth0 -nnXSs 0 -w /data/fsem.pcap

adb logcat > fsem_logcat.txt

zk上抓取日志：

tcpdump -i eth0 -nnXSs 0 -w /data/zk.pcap

adb logcat > zk_logcat.txt

#8 - 2023-06-13 11:09 - Multimedia组-RD3_TSCD 梁卿山

- Category changed from AUDIO-FW to pending 暂时不解决

HI ALL

该问题的同类问题在jira中控跟踪，IOVDEV-34225，该问题等中控解决后再测试验证。

#9 - 2023-08-24 16:44 - CDTS_TEST 王成

- Status changed from ASSIGNED to RESOLVED

JIRA上已关闭，客户回复：ocket listen设置了128请求上限，但是后续只accept了一次，且accept结束后，close了相关client以及监听socket，导致FSEM在本

次listen之后发起的多次connect请求，只处理了一条，其他请求数据丢失。

#10 - 2023-08-24 16:45 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#11 - 2023-08-24 16:45 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

1507.txt 4.23 MB 2023-05-23 CD TEST-方永红

1939.txt 6.98 MB 2023-06-02 CD TEST-方永红

2025-07-05 3/3


